"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DEFAULT_NPM_HOOKS = exports.NAMESPACES = exports.NAME_REGEX = exports.PROJECT_NAME = exports.DEFAULT_CONFIG = exports.PROCESS_EXIT_OK = exports.PROCESS_EXIT_ERROR = void 0;
exports.PROCESS_EXIT_ERROR = 1;
exports.PROCESS_EXIT_OK = 0;
exports.DEFAULT_CONFIG = {
    strict: false,
    fix: false,
    json: false,
    config: false,
    packageFile: undefined,
    rules: {},
    customRules: [],
    ignoreScripts: [],
};
exports.PROJECT_NAME = "scriptlint";
exports.NAME_REGEX = /^[\d:A-Za-z]+$/;
exports.NAMESPACES = [
    "build",
    "dev",
    "lint",
    "format",
    "lint",
    "other",
    "report",
    "setup",
    "start",
    "test",
];
exports.DEFAULT_NPM_HOOKS = [
    "install",
    "postinstall",
    "postpack",
    "postpublish",
    "postrestart",
    "postshrinkwrap",
    "poststart",
    "poststop",
    "posttest",
    "postuninstall",
    "postversion",
    "preinstall",
    "precommit",
    "prepack",
    "prepare",
    "prepublish",
    "prepublishOnly",
    "prerestart",
    "preshrinkwrap",
    "prestart",
    "prestop",
    "pretest",
    "preuninstall",
    "preversion",
    "publish",
    "release",
    "restart",
    "shrinkwrap",
    "stop",
    "uninstall",
    "version",
];
