"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var editJson_1 = __importDefault(require("./editJson"));
var utils_1 = require("./utils");
exports.default = (function (wd) {
    var file = new editJson_1.default(wd);
    return {
        readPackageScripts: function (ignores) {
            var scripts = file.get().scripts;
            return utils_1.filterPackageScriptsByKeys(scripts, ignores);
        },
        writePackageScripts: function (scripts) {
            file.set("scripts", scripts);
            return file.save();
        },
    };
});
