"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.PackageFileNotFoundError = exports.ValidationFunctionInvalidError = exports.ConfigError = void 0;
var ConfigError = /** @class */ (function (_super) {
    __extends(ConfigError, _super);
    function ConfigError(message) {
        var _this = _super.call(this, message) || this;
        Object.setPrototypeOf(_this, ConfigError.prototype);
        return _this;
    }
    return ConfigError;
}(Error));
exports.ConfigError = ConfigError;
var ValidationFunctionInvalidError = /** @class */ (function (_super) {
    __extends(ValidationFunctionInvalidError, _super);
    function ValidationFunctionInvalidError(name) {
        var _this = _super.call(this, "Rule validation function is not a function (" + name + ")") || this;
        Object.setPrototypeOf(_this, ValidationFunctionInvalidError.prototype);
        return _this;
    }
    return ValidationFunctionInvalidError;
}(Error));
exports.ValidationFunctionInvalidError = ValidationFunctionInvalidError;
var PackageFileNotFoundError = /** @class */ (function (_super) {
    __extends(PackageFileNotFoundError, _super);
    function PackageFileNotFoundError(path) {
        var _this = _super.call(this, "package.json could not be found at this location: " + path) || this;
        Object.setPrototypeOf(_this, PackageFileNotFoundError.prototype);
        return _this;
    }
    return PackageFileNotFoundError;
}(Error));
exports.PackageFileNotFoundError = PackageFileNotFoundError;
