"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = {
    name: "no-default-test",
    isObjectRule: true,
    message: "`test` script can't be the default script",
    validate: function (scripts) {
        if (Object.keys(scripts).includes("test")) {
            return scripts.test !== 'echo "Error: no test specified" && exit 1';
        }
        return true;
    },
};
